#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	string brx,bry,broj="";
	long long brojac,brojac2,brojac1,i,k,br=0;
	cin>>brx>>bry;
		for(i=0;i<brx.length();i++){
			if(brx[i]==bry[i]){
				broj+=brx[i];
				broj+=brx[i];
				}
			else if(brx[i]>bry[i]){
				broj+=brx[i];
			}
			else if(bry[i]>brx[i]){
				broj+=bry[i];	
			}	
		}
		cout<<broj;
	
	
	
	return 0;
}